**Teil (a)**  
Gegeben sei der folgende Algorithmus in Pseudo-Code:

```python
# Gegeben: Eine reelle Zahl x
int algo(x):
   if x < 1:
       return 0
   else:
       return 1 + algo(x/3)
```

* Ist der Algorithmus deterministisch?
* Ist der Algorithmus determiniert?
* Für welche Eingaben $x \in \mathbb{R}$ terminiert er?
* Welche Funktion berechnet der Algorithmus? Wie lautet z.B. algo(1.000.000)?

**Teil (b)**  
Betrachten Sie die folgende Abbildung:

![Ein Stern](images/star.png)

> Unter einem Stern (altgriechisch ἀστήρ, ἄστρον astēr, astron und lateinisch aster, astrum, stella, sidus für ‘Stern, Gestirn’; ahd. sterno; astronomisches Symbol: ✱) versteht man in der Astronomie einen massereichen, selbstleuchtenden Himmelskörper aus sehr heißem Gas und Plasma, wie zum Beispiel die Sonne. - [Wikipedia](https://de.wikipedia.org/wiki/Stern)

Erfüllt diese Abbildung die Definition eines [Sterns](https://de.wikipedia.org/wiki/Stern)?